<bugID>444307<Summary>Page Style functions cleanup</Summary><Description>Created attachment 328648
patch

Array.some / Array.slice instead of for-loops, and some minor drive-by cleanup.</Description></bugID>